petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscLayoutGetSize

Gets the global size for a PetscLayout object.

### Synopsis

    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutGetSize"
    PetscErrorCode  PetscLayoutGetSize(PetscLayout map,PetscInt *n)

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

n -the global size

### Notes

Call this after the call to PetscLayoutSetUp()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages